%define old_name x11-data-xkbdata

%define git_url git://anongit.freedesktop.org/xkeyboard-config

Name:           xkeyboard-config
Epoch:          1
Version:        2.31
Release:        %mkrel 1
Summary:        XKB data files
Group:          Development/X11
License:        MIT
URL:            http://www.freedesktop.org/wiki/Software/XKeyboardConfig
Source:         http://www.x.org/releases/individual/data/%{name}/%{name}-%{version}.tar.bz2
BuildArch:      noarch

# symbols/kg and symbols/la besides looking very simple patches, did not apply
#   cleanly, so removed for now
# Dropped all conflicting patches
# (cg) When doing 1.3->1.4 rediff the tj keymap changes were dropped
# due to an upstream change that seems to address the issue differently
Patch0:         xkeyboard-config-2.10.1-fixkbd.patch

# (Anssi 09/2008) Add fi(kotoistus_classic_nbsp) and use that by default.
# It has nbsp in level4 instead of level3 to avoid typos, as in fi(classic).
# See http://bugs.freedesktop.org/show_bug.cgi?id=12764
# Comments have been sent to the Kotoistus project.
Patch1:         xkeyboard-config-2.10.1-fi-kotoistus_classic_nbsp.patch

# Morocco symbols/tifinagh should be symbols/ma in the official version
# Nigerian symbols/ng seens to match
# Pakistanese is pk in 1.1, not snd
# symbols/tm "Turkmen" is the same as symbols/tr "Turkey" in 1.1? seens
#	quite different
# symbols/urd seens to be 1.1's symbols/in (claims support for all Indian
#	keyboard layouts)
# symbols/kur "Kurdish" is apparently in several different Kurdish support
#	files/descriptions
# symbols/chr "Cherokee" being dropped? or already integrated in some other
#	description?
Patch2:         xkbdata-1.0.1-newkbd.patch

# Keeping for bugzilla #28919
Patch4:         xkb-fix_uz.patch
# (fc) map key_battery, wlan, bluetooth, uwb to their XF86 keycodes (GIT)
Patch6:         xkeyboard-config-2.26-battery.patch
# Revert change that disables zapping by default
Patch9:         xkeyboard-config-2.8-Enable-zapping-by-default.patch
Patch10:    0001-Fix-symbols-in-syntax-error-spurious-git-conflict-ma.patch
# Debian patches
# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=921867
# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=921940
# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=922020
# see mga#24664
Patch50:        revert-Map-evdev-keycode-KEY_BRIGHTNESS_CYCLE.diff
Patch51:        revert-Map-evdev-keycode-KEY_KEYBOARD.diff
Patch52:        revert-Map-evdev-keycode-KEY_FAVORITES.diff

BuildRequires:  xsltproc
BuildRequires:  x11-util-macros >= 1.0.1
BuildRequires:  x11-proto-devel
BuildRequires:  pkgconfig(x11)
BuildRequires:  xkbcomp >= 1.0.1
BuildRequires:  perl(XML::Parser)
BuildRequires:  glib-gettextize
BuildRequires:  gettext-devel

%description
Xkeyboard-config provides consistent, well-structured, frequently released of X
keyboard configuration data (XKB) for various X Window System implementations.

%package -n %{old_name}
Summary:        XKB data files
Group:          Development/X11
Provides:       xkeyboard-config

%description -n %{old_name}
Xkeyboard-config provides consistent, well-structured, frequently released of X
keyboard configuration data (XKB) for various X Window System implementations.

%prep
%setup -q

# Keyboard fixes patches -- pablo
%patch0 -p1 -b .fixkbd

	#   Not applied as most are already implemented, but in a compeletely
	#   different way. May need some review as described for Patch2:
	#   Still just keeping the old patch for reference in case problems
	#   arise.
# New keyboard layouts -- pablo
# %%patch2 -p1 -b .newkbd
# needed by patch2
# automake

%patch1 -p1
%patch4 -p1 -b .uz_fix
%patch6 -p1 -b .battery
%patch9 -p1 -b .enable-zapping

## Debian patches
%patch50 -p1
%patch51 -p1
%patch52 -p1

%build
# fix build
aclocal
autoconf

%configure \
        --build=%{_host} \
        --enable-compat-rules \
        --with-xkb-base=%{_datadir}/X11/xkb \
        --with-xkb-rules-symlink=xorg

%make_build

%install
%make_install

mkdir -p %{buildroot}%{_localstatedir}/lib/xkb
#need this symlink for xkb to work
ln -snf %{_localstatedir}/lib/xkb %{buildroot}%{_datadir}/X11/xkb/compiled

%find_lang %{name}

%files -f %{name}.lang -n %{old_name}
%dir %{_datadir}/X11/xkb/
%attr(1777,root,root) %dir %{_localstatedir}/lib/xkb
%{_datadir}/X11/xkb/*
%{_datadir}/pkgconfig/xkeyboard-config.pc
%{_mandir}/man7/%{name}.7.*


%changelog
* Sat Oct 10 2020 tv <tv> 1:2.31-1.mga8
+ Revision: 1633078
- 2.31

* Sun Jun 21 2020 tv <tv> 1:2.30-2.mga8
+ Revision: 1598331
- Fix a syntax error in the indian symbols file

* Wed Jun 03 2020 tv <tv> 1:2.30-1.mga8
+ Revision: 1589907
- 2.30

* Tue Feb 18 2020 umeabot <umeabot> 1:2.28-2.mga8
+ Revision: 1541909
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Jan 03 2020 luigiwalser <luigiwalser> 1:2.28-1.mga8
+ Revision: 1475616
- 2.28
- remove patches 10 and 60 (fixed upstream)
- rediff patches 50, 51, 52
+ tv <tv>
- drop intltool, no longer needed, see upstream commit e8026f673e

* Fri Jul 05 2019 tmb <tmb> 1:2.26-3.mga8
+ Revision: 1418767
- fix broken pl layout (mga#28413)

* Sun Apr 14 2019 daviddavid <daviddavid> 1:2.26-2.mga7
+ Revision: 1390096
- add debian patches to fix xkbmap warnings (mga#24664)
  * Revert following commits:
    * ed67b29e (Map evdev keycode KEY_BRIGHTNESS_CYCLE to XF86MonBrightnessCycle)
    * d0e5e63c (Map evdev keycode KEY_KEYBOARD to XF86Keyboard)
    * e6103610 (Map evdev keycode KEY_FAVORITES to XF86Favorites)

* Fri Feb 08 2019 daviddavid <daviddavid> 1:2.26-1.mga7
+ Revision: 1364152
- new version: 2.26
- rename and rediff battery patch

* Sat Dec 29 2018 luigiwalser <luigiwalser> 1:2.25-1.mga7
+ Revision: 1346455
- 2.25

* Fri Sep 21 2018 umeabot <umeabot> 1:2.23.1-2.mga7
+ Revision: 1292163
- Mageia 7 Mass Rebuild

* Sun Feb 18 2018 tv <tv> 1:2.23.1-1.mga7
+ Revision: 1202664
- new release
+ martinw <martinw>
- Fix syntax error introduced by xkb-fix_uz.patch (mga#22160)
  A comment line must start with "//", not "/".

* Sat Nov 04 2017 tv <tv> 1:2.22-1.mga7
+ Revision: 1175780
- new release

* Sat Jun 10 2017 luigiwalser <luigiwalser> 1:2.21-1.mga6
+ Revision: 1107433
- 2.21

* Wed Mar 01 2017 tv <tv> 1:2.20-1.mga6
+ Revision: 1088318
- new release

* Tue Oct 04 2016 tv <tv> 1:2.19-1.mga6
+ Revision: 1058662
- new release

* Thu Jun 16 2016 tv <tv> 1:2.18-1.mga6
+ Revision: 1021784
- new release

* Thu Feb 11 2016 tv <tv> 1:2.17-1.mga6
+ Revision: 955919
- rediff patch
- 2.17

* Wed Oct 21 2015 tv <tv> 1:2.16-1.mga6
+ Revision: 893567
- readd find_lang
- new release
- drop bogus call to find_lang

* Sun Jun 21 2015 tv <tv> 1:2.15-1.mga6
+ Revision: 837476
- new release

* Fri Feb 13 2015 luigiwalser <luigiwalser> 1:2.14-1.mga5
+ Revision: 814850
- 2.14

* Wed Oct 15 2014 luigiwalser <luigiwalser> 1:2.13-1.mga5
+ Revision: 741435
- 2.13
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1:2.12-3.mga5
+ Revision: 726512
- add provides: xkeyboard-config (sigh...)

* Tue Sep 16 2014 umeabot <umeabot> 1:2.12-2.mga5
+ Revision: 690676
- Mageia 5 Mass Rebuild

* Thu May 29 2014 tv <tv> 1:2.12-1.mga5
+ Revision: 627456
- new release

* Tue Feb 04 2014 tv <tv> 1:2.11-1.mga5
+ Revision: 582654
- rediff patches
- new release

* Mon Oct 21 2013 umeabot <umeabot> 1:2.10.1-2.mga4
+ Revision: 539305
- Mageia 4 Mass Rebuild

* Sat Oct 05 2013 tv <tv> 1:2.10.1-1.mga4
+ Revision: 491926
- rediff patches
- new release

* Thu May 30 2013 tv <tv> 1:2.9-1.mga4
+ Revision: 433347
- new release

* Fri Feb 01 2013 luigiwalser <luigiwalser> 1:2.8-1.mga3
+ Revision: 393912
- 2.8
- rediff zapping patch
- remove no longer needed pre script
- add man page to files list

* Mon Jan 14 2013 umeabot <umeabot> 1:2.7-2.mga3
+ Revision: 387065
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 27 2012 tv <tv> 1:2.7-1.mga3
+ Revision: 298599
- new release

* Wed May 30 2012 tv <tv> 1:2.6-1.mga3
+ Revision: 250060
- new release

* Wed Feb 01 2012 tv <tv> 1:2.5.1-1.mga2
+ Revision: 203781
- fix build by switching to ./configure
- fix build by switching to %%configure
- new release
- new release
- new release

* Thu Jun 16 2011 tv <tv> 1:2.3-1.mga2
+ Revision: 108462
- new release
- rediff patches 0 & 4

* Tue Apr 12 2011 tv <tv> 1:2.2.1-1.mga1
+ Revision: 83616
- BuildRequires: libx11-devel
- BuildRequires: x11-proto-devel
- new release

* Thu Jan 13 2011 dmorgan <dmorgan> 1:2.0-1.mga1
+ Revision: 7884
- imported package xkeyboard-config

